<?php
if (file_exists("../bd/MySqlConnection.php")) {
	require_once("../bd/MySqlConnection.php");
} else {
	if (file_exists("./bd/MySqlConnection.php")) {
		require_once("./bd/MySqlConnection.php");
	} else if (file_exists("../bd/MySqlConnection.php")) {
		require_once("../bd/MySqlConnection.php");
	} else if (file_exists("../../bd/MySqlConnection.php")) {
		require_once("../../bd/MySqlConnection.php");
	}
}

class api extends MySqlConnection {
	function AddUpdOrganizacion($OrganizacionID,$NombreOrganizacion,$RFC,$RazonSocial,$Email,$Domicilio,$CiudadID){
		$query = "SELECT * from cat_organizacion WHERE OrganizacionID = '$OrganizacionID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_organizacion(OrganizacionID,NombreOrganizacion,RFC,RazonSocial,Email,Domicilio,CiudadID_FK)
			values(?,?,?,?,?,?,?)";

			$arreglo = array(
				$OrganizacionID,
				$NombreOrganizacion == "" ? null : $NombreOrganizacion,
				$RFC == "" ? null : $RFC,
				$RazonSocial == "" ? null : $RazonSocial,
				$Email == "" ? null : $Email,
				$Domicilio == "" ? null : $Domicilio,
				$CiudadID == "" ? null : $CiudadID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_organizacion SET NombreOrganizacion = ?,RFC = ?,RazonSocial = ?,
			Email = ?,Domicilio = ?,CiudadID_FK = ? WHERE OrganizacionID = ?";

			$arreglo = array(
				$NombreOrganizacion == "" ? null : $NombreOrganizacion,
				$RFC == "" ? null : $RFC,
				$RazonSocial == "" ? null : $RazonSocial,
				$Email == "" ? null : $Email,
				$Domicilio == "" ? null : $Domicilio,
				$CiudadID == "" ? null : $CiudadID,
				$OrganizacionID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function AddUpdCupon($ProyectoID,$Proyecto,$Password,$FechaIni,$FechaFin,$Activo){
		$query = "SELECT * from cat_proy WHERE ProyectoID = '$ProyectoID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_proy(ProyectoID,Proyecto,Password,FechaIni,FechaFin,Activo)
			values(?,?,?,?,?,?)";

			$arreglo = array(
				$ProyectoID,
				$Proyecto == "" ? null : $Proyecto,
				$Password == "" ? null : $Password,
				$FechaIni == "" ? null : $FechaIni,
				$FechaFin == "" ? null : $FechaFin,
				$Activo == "" ? null : $Activo
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_proy SET Proyecto = ?,Password = ?,FechaIni = ?,
			FechaFin = ?,Activo = ? WHERE ProyectoID = ?";

			$arreglo = array(
				$Proyecto == "" ? null : $Proyecto,
				$Password == "" ? null : $Password,
				$FechaIni == "" ? null : $FechaIni,
				$FechaFin == "" ? null : $FechaFin,
				$Activo == "" ? null : $Activo,
				$ProyectoID
			);
			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function AddUpdCliente($ClienteID,$NombreEmpresa,$Nombre1,$Apellido1,$OrganizacionID,$Usuario,$Password){
		$query = "SELECT * from cat_clientemuebles where ClienteID = '$ClienteID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_clientemuebles(ClienteID,NombreEmpresa,Nombre1,Apellido1,OrganizacionID_FK,Usuario,Password)
			values(?,?,?,?,?,?,?)";

			$arreglo = array(
				$ClienteID,
				$NombreEmpresa == "" ? null : $NombreEmpresa,
				$Nombre1 == "" ? null : $Nombre1,
				$Apellido1 == "" ? null : $Apellido1,
				$OrganizacionID == "" ? null : $OrganizacionID,
				$Usuario == "" ? null : $Usuario,
				$Password == "" ? null : $Password
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_clientemuebles set NombreEmpresa = ?, Nombre1 = ?, Apellido1 = ?,
			OrganizacionID_FK = ?, Usuario = ?, Password = ? where ClienteID = ?";

			$arreglo = array(
				$NombreEmpresa == "" ? null : $NombreEmpresa,
				$Nombre1 == "" ? null : $Nombre1,
				$Apellido1 == "" ? null : $Apellido1,
				$OrganizacionID == "" ? null : $OrganizacionID,
				$Usuario == "" ? null : $Usuario,
				$Password == "" ? null : $Password,
				$ClienteID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function AddAreaCliente($AreaObjID,$ClienteID){
		$query = "DELETE from jnc_cliente_areaobj where AreaObjID_FK = ?
		and ClienteID_FK = ?";
		$this->ExecuteQuery($query,array($AreaObjID,$ClienteID));

		$query = "INSERT into jnc_cliente_areaobj(AreaObjID_FK,ClienteID_FK)
		values(?,?)";
		$MySqlConnection = new MySqlConnection();
		return $MySqlConnection->ExecuteQuery($query,array($AreaObjID,$ClienteID));
	}

	function eliminaAreaCliente($AreaObjID,$ClienteID){
		$query = "DELETE from jnc_cliente_areaobj where AreaObjID_FK = ?
		and ClienteID_FK = ?";
		return $this->ExecuteQuery($query,array($AreaObjID,$ClienteID));
	}

	function AddAreaOrganizacion($AreaObjID,$OrganizacionID){
		$query = "DELETE from jnc_organizacion_areaobj where AreaObjID_FK = ?
		and OrganizacionID_FK = ?";
		$this->ExecuteQuery($query,array($AreaObjID,$OrganizacionID));

		$query = "INSERT into jnc_organizacion_areaobj(AreaObjID_FK,OrganizacionID_FK)
		values(?,?)";
		$MySqlConnection = new MySqlConnection();
		return $MySqlConnection->ExecuteQuery($query,array($AreaObjID,$OrganizacionID));
	}

	function eliminaAreaOrganizacion($AreaObjID,$OrganizacionID){
		$query = "DELETE from jnc_organizacion_areaobj where AreaObjID_FK = ?
		and OrganizacionID_FK = ?";
		return $this->ExecuteQuery($query,array($AreaObjID,$OrganizacionID));
	}

	function AddUpdAreaObjeto($AreaObjID,$AreaObj,$AbrevAreaObj,$Activo){
		$query = "SELECT * from cat_areaobj
		where AreaObjID = '$AreaObjID'";

		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT INTO cat_areaobj(AreaObjID,AreaObj,AbrevAreaObj,Activo)
			VALUES(?,?,?,?)";

			$arreglo = array(
				$AreaObjID,
				$AreaObj == "" ? null : $AreaObj,
				$AbrevAreaObj == "" ? null : $AbrevAreaObj,
				$Activo
			);

			return $MySqlConnection->ExecuteQuery($query,$arreglo);
		}
		else{
			$query = "UPDATE cat_areaobj SET AreaObj = ?,AbrevAreaObj = ?,Activo = ?
			WHERE AreaObjID = ?";

			$arreglo = array(
				$AreaObj == "" ? null : $AreaObj,
				$AbrevAreaObj == "" ? null : $AbrevAreaObj,
				$Activo,
				$AreaObjID
			);
			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function AddUpdObjetoCompuesto($ObjCompID,$ObjComp,$UniObjComp,$AreaObjID_FK,$Descripcion,$ClaveObjComp,$Activo,$MostrarEtiquetas){
		$query = "SELECT * from cat_objcomp where ObjCompID = '$ObjCompID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_objcomp(ObjCompID,ObjComp,UniObjComp,AreaObjID_FK,Descripcion,ClaveObjComp,Activo,MostrarEtiquetas)
			values(?,?,?,?,?,?,?,?);";

			$arreglo = array(
				$ObjCompID,
				$ObjComp == "" ? null : $ObjComp,
				$UniObjComp == "" ? null : $UniObjComp,
				$AreaObjID_FK == "" ? null : $AreaObjID_FK,
				$Descripcion == "" ? null : $Descripcion,
				$ClaveObjComp == "" ? null : $ClaveObjComp,
				$Activo,
				$MostrarEtiquetas == "" ? null : $MostrarEtiquetas
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_objcomp SET ObjComp = ?,UniObjComp = ?,AreaObjID_FK = ?,Descripcion = ?,ClaveObjComp = ?,Activo = ?,MostrarEtiquetas = ? WHERE ObjCompID = ?";

			$arreglo = array(
				$ObjComp == "" ? null : $ObjComp,
				$UniObjComp == "" ? null : $UniObjComp,
				$AreaObjID_FK == "" ? null : $AreaObjID_FK,
				$Descripcion == "" ? null : $Descripcion,
				$ClaveObjComp == "" ? null : $ClaveObjComp,
				$Activo,
				$MostrarEtiquetas == "" ? null : $MostrarEtiquetas,
				$ObjCompID
			);
			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}


	function AddUpdParametro($ParametroID,$Parametro,$UniParametro,$Opciones,$Query,$OrdenEtiquetas){
		$query = "SELECT * from cat_parametro where ParametroID = '$ParametroID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_parametro(ParametroID,Parametro,UniParametro,Opciones,Query,OrdenEtiquetas)
			VALUES(?,?,?,?,?,?)";

			$arreglo = array(
				$ParametroID,
				$Parametro == "" ? null : $Parametro,
				$UniParametro == "" ? null : $UniParametro,
				$Opciones == "" ? null : $Opciones,
				$Query == "" ? null : $Query,
				$OrdenEtiquetas == "" ? null : $OrdenEtiquetas
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_parametro set Parametro = ?,UniParametro = ?,Opciones = ?,Query = ?,OrdenEtiquetas = ? where ParametroID = ?";

			$arreglo = array(
				$Parametro == "" ? null : $Parametro,
				$UniParametro == "" ? null : $UniParametro,
				$Opciones == "" ? null : $Opciones,
				$Query == "" ? null : $Query,
				$OrdenEtiquetas == "" ? null : $OrdenEtiquetas,
				$ParametroID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}


	function AddUpdjnc_objcomp_par($JncObjCompParID,$ObjCompID_FK,$ParametroID_FK,$NameOverride,$ValorPred,$ValorMin,$ValorMax,$ValorFijo,$Activo){
		$query = "SELECT * from jnc_objcomp_par where JncObjCompParID = '$JncObjCompParID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into jnc_objcomp_par(JncObjCompParID,ObjCompID_FK,ParametroID_FK,NameOverride,ValorPred,ValorMin,ValorMax,ValorFijo,Activo)
			values(?,?,?,?,?,?,?,?,?)";

			$arreglo = array(
				$JncObjCompParID,
				$ObjCompID_FK == "" ? null : $ObjCompID_FK,
				$ParametroID_FK == "" ? null : $ParametroID_FK,
				$NameOverride == "" ? null : $NameOverride,
				$ValorPred == "" ? null : $ValorPred,
				$ValorMin == "" ? null : $ValorMin,
				$ValorMax == "" ? null : $ValorMax,
				$ValorFijo,
				$Activo
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE jnc_objcomp_par set ObjCompID_FK = ? ,ParametroID_FK = ? ,NameOverride = ? ,ValorPred = ? ,ValorMin = ? ,ValorMax = ? ,ValorFijo = ? ,Activo = ?
			where JncObjCompParID = ?";

			$arreglo = array(
				$ObjCompID_FK == "" ? null : $ObjCompID_FK,
				$ParametroID_FK == "" ? null : $ParametroID_FK,
				$NameOverride == "" ? null : $NameOverride,
				$ValorPred == "" ? null : $ValorPred,
				$ValorMin == "" ? null : $ValorMin,
				$ValorMax == "" ? null : $ValorMax,
				$ValorFijo,
				$Activo,
				$JncObjCompParID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function obtenerCotizacionesProcesadas(){
		$query = "SELECT Cotizacion, from_unixtime(Fecha, '%Y-%m-%d') as Fecha,
		from_unixtime(FechaProceso, '%Y-%m-%d') as FechaProceso,
		ClienteID_FK,Descuento, StatusCotID_FK, NoCotCliente, CuponID_FK
		from tbl_cotizacion where StatusCotID_FK = 2";
		return json_encode($this->ExecuteReader($query));
	}
	
	function actualizaCotizacion($NoCotCliente,$StatusCotID){
		$query = "UPDATE tbl_cotizacion set StatusCotID_FK = ? where NoCotCliente = ?";
		return $this->ExecuteQuery($query, array($StatusCotID,$NoCotCliente));
	}

	function obtenerDetCotizacion($NoCotCliente){
		$query = "SELECT ObjCompCotClienteID, NoCotCliente_FK, ObjCompID_FK,
		Cantidad, Referencia, PrecioUni FROM tbl_objcompcot where NoCotCliente_FK = '$NoCotCliente'";
		return json_encode($this->ExecuteReader($query));
	}

	function obtenerDetParCotizacion($ObjCompCotClienteID){
		$query = "SELECT JncObjCompParID_FK, Valor, ObjCompCotClienteID_FK
		FROM jnc_objcompcot_objcomppar WHERE ObjCompCotClienteID_FK = '$ObjCompCotClienteID'";
		return json_encode($this->ExecuteReader($query));
	}

	function actualizaObjCompCot($ObjCompCotClienteID,$PrecioUni){
		$query = "UPDATE tbl_objcompcot set PrecioUni = ? where ObjCompCotClienteID = ?";
		return $this->ExecuteQuery($query, array($PrecioUni,$ObjCompCotClienteID));
	}

	function AddUpdCatMat($MatID,$Material,$UniMaterial,$Activo,$AreaMatID_FK,$LargoTablero,$AnchoTablero,$EspesorTablero,$PesoUni,$MultConv,$UniConv,$ProvMuebleID,$ArtCompraID_FK,$EspCanto,$LineaID_FK){
		$query = "SELECT * FROM cat_mat where MatID = '$MatID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_mat(MatID,Material,UniMaterial,Activo,AreaMatID_FK,LargoTablero,AnchoTablero,EspesorTablero,PesoUni,MultConv,UniConv,ProvMuebleID,ArtCompraID_FK,EspCanto,LineaID_FK)
			VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";

			$arreglo = array(
				$MatID,
				$Material == "" ? null : $Material,
				$UniMaterial == "" ? null : $UniMaterial,
				$Activo,
				$AreaMatID_FK == "" ? null : $AreaMatID_FK,
				$LargoTablero == "" ? null : $LargoTablero,
				$AnchoTablero == "" ? null : $AnchoTablero,
				$EspesorTablero == "" ? null : $EspesorTablero,
				$PesoUni == "" ? null : $PesoUni,
				$MultConv == "" ? null : $MultConv,
				$UniConv == "" ? null : $UniConv,
				$ProvMuebleID == "" ? null : $ProvMuebleID,
				$ArtCompraID_FK == "" ? null : $ArtCompraID_FK,
				$EspCanto == "" ? null : $EspCanto,
				$LineaID_FK == "" ? null : $LineaID_FK
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_mat set Material = ?,UniMaterial = ?,Activo = ?,AreaMatID_FK = ?,LargoTablero = ?,
			AnchoTablero = ?,EspesorTablero = ?,PesoUni = ?,MultConv = ?,UniConv = ?,ProvMuebleID = ?,
			ArtCompraID_FK = ?,EspCanto = ?, LineaID_FK = ? where MatID = ?";

			$arreglo = array(
				$Material == "" ? null : $Material,
				$UniMaterial == "" ? null : $UniMaterial,
				$Activo,
				$AreaMatID_FK == "" ? null : $AreaMatID_FK,
				$LargoTablero == "" ? null : $LargoTablero,
				$AnchoTablero == "" ? null : $AnchoTablero,
				$EspesorTablero == "" ? null : $EspesorTablero,
				$PesoUni == "" ? null : $PesoUni,
				$MultConv == "" ? null : $MultConv,
				$UniConv == "" ? null : $UniConv,
				$ProvMuebleID == "" ? null : $ProvMuebleID,
				$ArtCompraID_FK == "" ? null : $ArtCompraID_FK,
				$EspCanto == "" ? null : $EspCanto,
				$LineaID_FK == "" ? null : $LineaID_FK,
				$MatID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function AddUpdCatAct($ActID,$ClaveAct,$Actividad,$UniAct,$AreaActID,$Activo){
		$query = "SELECT * FROM cat_act WHERE ActID = '$ActID'";
		$consulta = $this->ExecuteReader($query);
		$MySqlConnection = new MySqlConnection();
		if (sizeof($consulta) == 0) {
			$query = "INSERT into cat_act(ActID,ClaveAct,Actividad,UniAct,AreaActID,Activo)
			values(?,?,?,?,?,?)";

			$arreglo = array(
				$ActID,
				$ClaveAct == "" ? null : $ClaveAct,
				$Actividad == "" ? null : $Actividad,
				$UniAct == "" ? null : $UniAct,
				$AreaActID == "" ? null : $AreaActID,
				$Activo
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
		else{
			$query = "UPDATE cat_act set ClaveAct = ?,Actividad = ?,UniAct = ?,
			AreaActID = ?,Activo = ? where ActID = ?";

			$arreglo = array(
				$ClaveAct == "" ? null : $ClaveAct,
				$Actividad == "" ? null : $Actividad,
				$UniAct == "" ? null : $UniAct,
				$AreaActID == "" ? null : $AreaActID,
				$Activo,
				$ActID
			);

			return $MySqlConnection->ExecuteQuery($query, $arreglo);
		}
	}

	function GetStatusCot($NoCotCliente){
		$query = "SELECT StatusCotID_FK from tbl_cotizacion where NoCotCliente = '$NoCotCliente'";
		$resultado = $this->ExecuteReader($query);
		if (sizeof($resultado) > 0) {
			return $resultado[0]["StatusCotID_FK"];
		}
		else{
			return "La cotización que ingresó no existe en el sistema web";
		}
	}
}
?>
